<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XLdapSyncCustomField StructType
 * @subpackage Structs
 */
class XLdapSyncCustomField extends AbstractStructBase
{
    /**
     * The ldapConfigurationName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $ldapConfigurationName;
    /**
     * The customUserField
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $customUserField;
    /**
     * The ldapUserField
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $ldapUserField;
    /**
     * Constructor method for XLdapSyncCustomField
     * @uses XLdapSyncCustomField::setLdapConfigurationName()
     * @uses XLdapSyncCustomField::setCustomUserField()
     * @uses XLdapSyncCustomField::setLdapUserField()
     * @param string $ldapConfigurationName
     * @param string $customUserField
     * @param string $ldapUserField
     */
    public function __construct($ldapConfigurationName = null, $customUserField = null, $ldapUserField = null)
    {
        $this
            ->setLdapConfigurationName($ldapConfigurationName)
            ->setCustomUserField($customUserField)
            ->setLdapUserField($ldapUserField);
    }
    /**
     * Get ldapConfigurationName value
     * @return string
     */
    public function getLdapConfigurationName()
    {
        return $this->ldapConfigurationName;
    }
    /**
     * Set ldapConfigurationName value
     * @param string $ldapConfigurationName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLdapSyncCustomField
     */
    public function setLdapConfigurationName($ldapConfigurationName = null)
    {
        $this->ldapConfigurationName = $ldapConfigurationName;
        return $this;
    }
    /**
     * Get customUserField value
     * @return string
     */
    public function getCustomUserField()
    {
        return $this->customUserField;
    }
    /**
     * Set customUserField value
     * @param string $customUserField
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLdapSyncCustomField
     */
    public function setCustomUserField($customUserField = null)
    {
        $this->customUserField = $customUserField;
        return $this;
    }
    /**
     * Get ldapUserField value
     * @return string
     */
    public function getLdapUserField()
    {
        return $this->ldapUserField;
    }
    /**
     * Set ldapUserField value
     * @param string $ldapUserField
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLdapSyncCustomField
     */
    public function setLdapUserField($ldapUserField = null)
    {
        $this->ldapUserField = $ldapUserField;
        return $this;
    }
}
